from django.contrib import admin

# Register your models here.
from .models import AuthorTag, WorkTag, QuoteTag, Author, Work, Quote

@admin.register(Author)
class AuthorAdmin(admin.ModelAdmin):
    fields = ('name', 'birth_date', 'death_date',
              'tags', 'notes', 'pvt_notes',
              'creation_date', 'last_modification', 'nb_display')
    readonly_fields = ('creation_date', 'last_modification', 'nb_display')

@admin.register(Work)
class WorkAdmin(admin.ModelAdmin):
    fields = ('name', 'author', 'date',
              'tags', 'notes', 'pvt_notes',
              'creation_date', 'last_modification', 'nb_display')
    readonly_fields = ('creation_date', 'last_modification', 'nb_display')

@admin.register(Quote)
class QuoteAdmin(admin.ModelAdmin):
    fields = ('text', 'work',
              'tags', 'notes', 'pvt_notes',
              'creation_date', 'last_modification', 'nb_display')
    readonly_fields = ('creation_date', 'last_modification', 'nb_display')

admin.site.register(AuthorTag)
admin.site.register(WorkTag)
admin.site.register(QuoteTag)
